package com.iformall.domain.vo;

import lombok.Data;

import java.io.Serializable;
import java.text.DecimalFormat;
/**
 * 会员结构vo
 * @author jinguo
 *
 */

@Data
public class UserStructureVo implements Serializable {

	private static final long serialVersionUID = 6780570955120276660L;
	//名称
	private String name;
	//数量
	private long count;
	//百分比
	private String percentage;
	//序号
	private Integer sortNum;
	
	private Integer price;
	
	private String priceStr;
	
	public String getPriceStr() {
		if(price!=null) {
			DecimalFormat df=new DecimalFormat("0.00");
			priceStr = df.format((float)price/100);
		}
		return priceStr;
	}

}
